<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- Generated by Apache Maven Doxia Site Renderer 1.3 at Oct 27, 2017 -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=${outputEncoding}" />
    <title>PMD Results</title>
    <style type="text/css" media="all">
      @import url("./css/maven-base.css");
      @import url("./css/maven-theme.css");
      @import url("./css/site.css");
    </style>
    <link rel="stylesheet" href="./css/print.css" type="text/css" media="print" />
    <meta name="Date-Revision-yyyymmdd" content="20171027" />
    <meta http-equiv="Content-Language" content="en" />
        
        </head>
  <body class="composite">
    <div id="banner">
                      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="breadcrumbs">
            
            
                <div class="xleft">
        <span id="publishDate">Last Published: 2017-10-27</span>
                  &nbsp;| <span id="projectVersion">Version: ${project.version}</span>
                      </div>
            <div class="xright">        
            
      </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="leftColumn">
      <div id="navcolumn">
             
            
                                      <a href="http://maven.apache.org/" title="Built by Maven" class="poweredBy">
        <img class="poweredBy" alt="Built by Maven" src="./images/logos/maven-feather.png" />
      </a>
                   
            
            </div>
    </div>
    <div id="bodyColumn">
      <div id="contentBox">
        <div class="section"><h2>PMD Results<a name="PMD_Results"></a></h2><p>The following document contains the results of <a class="externalLink" href="http://pmd.sourceforge.net/">PMD</a> 5.0.5.</p></div><div class="section"><h2>Files<a name="Files"></a></h2><div class="section"><h3>org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.java<a name="orgeclipsepapyrusdesignerlanguagescppreversereverseBatchReverseFunctionBody.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>Avoid unused imports such as 'org.eclipse.cdt.core.dom.ast.cpp.ICPPASTInitializerList'</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#L38">38</a></td></tr><tr class="a"><td>Avoid unused imports such as 'org.eclipse.cdt.core.model.IInclude'</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#L45">45</a></td></tr><tr class="b"><td>Avoid unused imports such as 'org.eclipse.cdt.core.model.IMacro'</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#L46">46</a></td></tr><tr class="a"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#L63">63</a></td></tr><tr class="b"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#L64">64</a></td></tr><tr class="a"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#L65">65</a></td></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#L145">145</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#L179">179</a></td></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#L157">157</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#L160">160</a></td></tr><tr class="b"><td>Avoid unused private methods such as 'getIASTTranslationUnitHeader()'.</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#L250">250</a></td></tr><tr class="a"><td>Avoid empty if statements</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#L360">360</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#L362">362</a></td></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#L443">443</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#L446">446</a></td></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#L708">708</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#L712">712</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#L837">837</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#L843">843</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/languages/cpp/reverse/utils/ModelManagement.java<a name="orgeclipsepapyrusdesignerlanguagescppreverseutilsModelManagement.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>Avoid empty catch blocks</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/cpp/reverse/utils/ModelManagement.html#L200">200</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/cpp/reverse/utils/ModelManagement.html#L202">202</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/DependencyAnalysis.java<a name="orgeclipsepapyrusdesignerlanguagescppreversereverseDependencyAnalysis.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/DependencyAnalysis.html#L60">60</a></td></tr><tr class="b"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/DependencyAnalysis.html#L61">61</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/ReverseCpp2Uml.java<a name="orgeclipsepapyrusdesignerlanguagescppreversereverseReverseCpp2Uml.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/ReverseCpp2Uml.html#L97">97</a></td></tr><tr class="a"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/ReverseCpp2Uml.html#L98">98</a></td></tr><tr class="b"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/ReverseCpp2Uml.html#L99">99</a></td></tr></table></div></div>
      </div>
    </div>
    <div class="clear">
      <hr/>
    </div>
    <div id="footer">
      <div class="xright">
              Copyright &#169;  All Rights Reserved.      
            
                  </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
  </body>
</html>
